dofile("Base.rte/Constants.lua")
require("AI/HumanFunctions")
package.path = package.path .. ";Loyalists.rte/?.lua";
require("Actors/AI/NativeLoyalistAI")
require("Actors/AI/LoyalistSpecialBehaviours")

function Create(self)

	self.AI = NativeLoyalistAI:Create(self);
	
--	self.Frame = math.random(0, self.FrameCount - 1);

	self.armSway = true;
	self.automaticEquip = true;
	self.alternativeGib = true;
	self.visibleInventory = true;
	
	-----------------------End Non-Modded Code---------------------------------

	---------------------- Morale stuff --------------------------
	
	self.morale = 0;

	self.origMorale = 0;
	self.whatActor = nil
	if self.PresetName == "Zealot" then
		self.whatActor = self.PresetName
		self.origMorale = 1
	elseif self.PresetName == "Loyal Officer" then
		self.whatActor = self.PresetName
		self.origMorale = 2
	elseif self.PresetName == "Loyal Commissar" then
		self.whatActor = self.PresetName
		self.origMorale = 5
	end

	self.origPerceptiveness = self.Perceptiveness
	self.moralePerceptivnessMultiplier = 0.2;
	
	self.normalPath = self:GetLimbPathSpeed(1)
	self.pathSpeedMultiplier = 0.25;

	---------- Morale givers ---------

	self.flagMoraleTimer = Timer();
	self.flagMoraleDelay = 1000
	self.flagMorale = 0;
	------------------------------------
	self.flagBearerMoraleTimer = Timer();
	self.flagBearerMoraleDelay = 350
	self.flagBearerMorale = 0;
	------------------------------------
	self.flareMoraleTimer = Timer();
	self.flareMoraleDelay = 1200
	self.flareMorale = 0;
	------------------------------------
	self.officerMoraleTimer = Timer();
	self.officerMoraleDelay = 800
	self.officerMorale = 0;
	
	self.officerMoraleTargetsTimer = Timer();
	self.officerMoraleTargetsDelay = 450
	self.officerMoraleTargets = {};
	self.officerMaxMoraleRange = 125 + self.Radius
	------------------------------------	
	self.commissarMoraleTimer = Timer();
	self.commissarMoraleDelay = 800
	self.commissarMorale = 0;
	
	self.commissarMoraleTargetsTimer = Timer();
	self.commissarMoraleTargetsDelay = 300
	self.commissarMoraleTargets = {};
	self.commissarMaxMoraleRange = 150 + self.Radius
	------------------------------------
	self.tankMoraleTimer = Timer();
	self.tankMoraleDelay = 1000
	self.tankMorale = 0 --See LoyalistVehicleAI
	
	--------------------------------------------------
	--------Melee weapon chance------------
	
	self.gotMelee = false
	
	self.meleeWeaponChance = 0	
	self.bluntChance = 0	
	self.handToolChance = 0
	
	if self.whatActor == "Loyal Commissar" then
		LoyalistSpecialBehaviours.commissarSaber(self)
	end
	
	--------------------------------------------------
	--------Melee weapon chance------------
	
	self.gearBandageChance = 0
	self.gearFlarePistolChance = 0
	
	--No knife chance as they will get it if they don't get a club or a hatchet

	self.IsPlayer = ActivityMan:GetActivity():IsHumanTeam(self.Team)
	self.autoGame = false
	
	if self.IsPlayer == false or self.autoGame == true then
		LoyalistSpecialBehaviours.meleeWeapon(self)
		LoyalistSpecialBehaviours.extraGear(self)
	end

end

function Update(self)

	----------------------------Modded Code------------------------------------
	
	if (not self:IsDead()) then
	
		LoyalistSpecialBehaviours.moraleSystem(self)
		LoyalistSpecialBehaviours.offhandFixer(self)
		
		if self.whatActor == "Loyal Officer" then
			LoyalistSpecialBehaviours.officerMorale(self)
		elseif self.whatActor == "Loyal Commissar" then
			LoyalistSpecialBehaviours.commissarMorale(self)
		end

	end

	-------------------------Non-Modded code-----------------------------------

	self.controller = self:GetController();
	
	if self.alternativeGib then
		HumanFunctions.DoAlternativeGib(self);
	end
	if self.automaticEquip then
		HumanFunctions.DoAutomaticEquip(self);
	end
	if self.armSway then
		HumanFunctions.DoArmSway(self, (self.Health / self.MaxHealth));	--Argument: shove strength
	end
	if self.visibleInventory then
		HumanFunctions.DoVisibleInventory(self, false);	--Argument: whether to show all items
	end
end
function UpdateAI(self)
	self.AI:Update(self);
end
function Destroy(self)
	self.AI:Destroy(self);
end