function Create(self)

	self.searchRange = self:NumberValueExists("TurretSearchRange") and self:GetNumberValue("TurretSearchRange") or 500;	--Detection area diameter or max ray distance to search enemies from, in px
	--Whether turret searches for enemies in a larger area. Default mode is a narrower ray detection
	self.areaMode = false;
	--Toggle visibility of the aim area / trace to see how the detection works
	self.showAim = false;

	self.fireTimer = Timer();
	self.fireTimer:SetSimTimeLimitMS(1000);
	
	self.performanceTimer = Timer()
	self.performanceDelay = 100
	

	if IsACrab(self:GetRootParent()) then
		self.parent = ToACrab(self:GetRootParent());
	else
		self.parent = nil
	end
	
	if IsAttachable(self:GetParent()) then
		self.motorParent = ToAttachable(self:GetParent())
	else
		self.motorParent = nil
	end

end

function Update(self)

	if self.motorParent and self.motorParent:IsAttached() then

		if self.areaMode == false then
			local target;
			if target == nil then
				self.RotAngle = self.motorParent.RotAngle
			end
			local target1
			local target2
			local target3
			local target4
			local aimTrace1 = Vector(self.searchRange * self.FlipFactor, -25):RadRotate(self.motorParent.RotAngle);
			local aimTrace2 = Vector(self.searchRange * self.FlipFactor, 15):RadRotate(self.motorParent.RotAngle);
			local aimTrace3 = Vector(self.searchRange * self.FlipFactor, 45):RadRotate(self.motorParent.RotAngle);
			local aimTrace4 = Vector(self.searchRange * self.FlipFactor, 80):RadRotate(self.motorParent.RotAngle);

			--Search for MOs directly in line of sight of two rays

			if self.performanceTimer:IsPastSimMS(self.performanceDelay) then
			
				local moCheck1 = SceneMan:CastMORay(self.Pos, aimTrace1, self.motorParent.ID, self.Team, rte.airID, false, 5);
				if moCheck1 ~= rte.NoMOID then
					local check = MovableMan:GetMOFromID(MovableMan:GetMOFromID(moCheck1).RootID);
					if check and IsActor(check) and ToActor(check).Status < Actor.INACTIVE then
						target1 = check
					end
				end
				
				local moCheck2 = SceneMan:CastMORay(self.Pos, aimTrace2, self.motorParent.ID, self.Team, rte.airID, false, 5);
				if moCheck2 ~= rte.NoMOID then
					local check = MovableMan:GetMOFromID(MovableMan:GetMOFromID(moCheck2).RootID);
					if check and IsActor(check) and ToActor(check).Status < Actor.INACTIVE then
						target2 = check
					end
				end

				local moCheck3 = SceneMan:CastMORay(self.Pos, aimTrace3, self.motorParent.ID, self.Team, rte.airID, false, 5);
				if moCheck3 ~= rte.NoMOID then
					local check = MovableMan:GetMOFromID(MovableMan:GetMOFromID(moCheck3).RootID);
					if check and IsActor(check) and ToActor(check).Status < Actor.INACTIVE then
						target3 = check
					end
				end
				
				local moCheck4 = SceneMan:CastMORay(self.Pos, aimTrace4, self.motorParent.ID, self.Team, rte.airID, false, 5);
				if moCheck4 ~= rte.NoMOID then
					local check = MovableMan:GetMOFromID(MovableMan:GetMOFromID(moCheck4).RootID);
					if check and IsActor(check) and ToActor(check).Status < Actor.INACTIVE then
						target4 = check
					end
				end
				
				self.performanceTimer:Reset()
			end
			
			target = target1 or target2 or target3 or target4 or nil

			if target then
				local aimTarget = SceneMan:ShortestDistance(self.Pos, target.Pos + Vector(0,-10), SceneMan.SceneWrapsX);
				local terrCheck = SceneMan:CastStrengthRay(self.Pos, aimTarget, 40, Vector(), 5, 0, SceneMan.SceneWrapsX);
				if terrCheck == false then
					self.RotAngle = self.HFlipped and aimTarget.AbsRadAngle + math.pi or aimTarget.AbsRadAngle;
					self:EnableEmission(true);
					self:TriggerBurst();
					self.fireTimer:Reset();
				end
				
				if self:IsSetToBurst() then
					color = 254;	--Debug trace color: white
				end
			end
			--Debug: visualize aim traces
			if self.showAim == true then
				PrimitiveMan:DrawLinePrimitive(self.Team, self.Pos, self.Pos + aimTrace1, 52);		
				PrimitiveMan:DrawLinePrimitive(self.Team, self.Pos, self.Pos + aimTrace2, 13);
				PrimitiveMan:DrawLinePrimitive(self.Team, self.Pos, self.Pos + aimTrace3, 64);	
				PrimitiveMan:DrawLinePrimitive(self.Team, self.Pos, self.Pos + aimTrace4, 111);	
			end
		end
	end
end