function Create(self)

	self.lifeTimer = Timer();

	self.actionPhase = 0;
	self.stuck = false;
	
	self.isStepped = false
	
	self.explosionTimer = Timer()
	self.explosionDelay = math.random(5,15)*100
	self.explosionSet = false
	
	self.Frame = 0
	
	self.GetsHitByMOs = true
	
end

function Update(self)

	LandMineStick(self);

	if self.stuck == true then
	
		local checkPosLeft = self.Pos + Vector(-2*self.FlipFactor,-3):RadRotate(self.RotAngle);
		local checkPosMiddle = self.Pos + Vector(0,-3):RadRotate(self.RotAngle);
		local checkPosRight = self.Pos + Vector(2*self.FlipFactor,-3):RadRotate(self.RotAngle);
		
		local checkTable = {checkPosMiddle, checkPosLeft, checkPosRight}
	
		for i = 1, 3 do				--Raycast, to activate and hopefully avoid bouncing projectiles
			local checkPos = checkTable[i]
			if SceneMan.SceneWrapsX == true then
				if checkPos.X > SceneMan.SceneWidth then
					checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
				elseif checkPos.X < 0 then
					checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
				end
			end
			local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
			if terrCheck == 0 then
				local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
				if moCheck ~= 255 then
					self.isStepped = true
				end
			end
		end	
	
		if self.isStepped == true then
			self.Frame = 1
		
			if self.explosionSet == false then
				self.explosionTimer:Reset()
				
				sfx = CreateAEmitter("Pin Pulled Sound", "Loyalists.rte");
				sfx.Pos = self.Pos;
				MovableMan:AddParticle(sfx);	
				
				self.explosionSet = true
			end
			
			if self.explosionTimer:IsPastSimMS(self.explosionDelay) then
				self:GibThis()
			end
		end
	end
end

function LandMineStick(self)

	if self.actionPhase == 0 then

		local trace = Vector(self.Vel.X, self.Vel.Y + 1):SetMagnitude(math.max(self.Vel.Magnitude * rte.PxTravelledPerFrame, self.Radius));
		local rayHitPos = Vector();
		local terrainRaycast = SceneMan:CastStrengthRay(self.Pos, trace, 5, rayHitPos, 0, rte.airID, SceneMan.SceneWrapsX);

		if terrainRaycast == true then

			trace = Vector(trace.X, trace.Y):SetMagnitude(trace.Magnitude + 5);
			local rayHitPosA = Vector();
			local terrainRaycastA = SceneMan:CastStrengthRay(self.Pos + Vector(0, 3):RadRotate(Vector(self.Vel.X, self.Vel.Y).AbsRadAngle), trace, 5, rayHitPosA, 0, rte.airID, SceneMan.SceneWrapsX);

			local rayHitPosB = Vector();
			local terrainRaycastB = SceneMan:CastStrengthRay(self.Pos + Vector(0, -3):RadRotate(Vector(self.Vel.X, self.Vel.Y).AbsRadAngle), trace, 5, rayHitPosB, 0, rte.airID, SceneMan.SceneWrapsX);

			if terrainRaycastA == true and terrainRaycastB == true then
				self.faceDirection = SceneMan:ShortestDistance(rayHitPosA, rayHitPosB, SceneMan.SceneWrapsX).AbsRadAngle + (math.pi * 0.5);
			else
				self.faceDirection = (self.Vel * -1).AbsRadAngle;
			end

			self.Pos = rayHitPos + SceneMan:ShortestDistance(rayHitPos, self.Pos, SceneMan.SceneWrapsX):SetMagnitude(2);
			self.RotAngle = self.faceDirection - (math.pi * 0.5);
			self.PinStrength = self.GibImpulseLimit;
			self.actionPhase = 1;
		end

	elseif self.actionPhase == 1 then
	
		self.Vel = self.PinStrength == 0 and self.Vel or Vector();
		self.stuck = true

	end
end