function Create(self)

	self.lifeTimer = Timer();

	self.actionPhase = 0;
	self.stuck = false;

	self.detonateDelay = math.random(25,35)*100;
	self.smokeEffect = 0
	
	self.Sharpness = 0
	
end

function Update(self)

	SatchelChargeStick(self);

	if self.stuck then
	
		self.smokeEffect = self.smokeEffect + 1
	
		if math.random() <= self.smokeEffect*0.0035 then
			local smokeEffect = CreateMOSParticle("Tiny Smoke Ball 1");
			smokeEffect.Pos = self.Pos + Vector((math.random(-2,2)) , (math.random(-4,4)));
			smokeEffect.Vel = Vector(math.random(-2,2), (math.random(-2,2))) --self.Vel + Vector(0, (math.random(-4,4)))
			MovableMan:AddParticle(smokeEffect);
		end
	
		if self.lifeTimer:IsPastSimMS(self.detonateDelay) then
			self:GibThis();
		else
			self.ToDelete = false;
			self.ToSettle = false;
		end
	end
end

function SatchelChargeStick(self)

	if self.actionPhase == 0 then
		local checkVec = Vector(self.Vel.X, self.Vel.Y + 1):SetMagnitude(math.max(self.Vel.Magnitude * rte.PxTravelledPerFrame, self.Radius));
		--Find a user to ignore hits with
		if not self.userID then
			self.userID = rte.NoMOID;
			local moCheck = SceneMan:CastMORay(self.Pos, checkVec * (-2), self.ID, -1, rte.airID, true, 1);
			if moCheck ~= rte.NoMOID then
				local rootID = MovableMan:GetMOFromID(moCheck).RootID;
				if rootID ~= rte.NoMOID then
					self.userID = rootID;
				end
			end
		end
		local rayHitPos = Vector();
		local rayHit = false;
		for i = 1, 2 do
			local checkPos = self.Pos + (checkVec/i);
			local checkPix = SceneMan:GetMOIDPixel(checkPos.X, checkPos.Y);
			if checkPix ~= rte.NoMOID and MovableMan:GetMOFromID(checkPix).RootID ~= self.userID then
				checkPos = checkPos + SceneMan:ShortestDistance(checkPos, self.Pos, SceneMan.SceneWrapsX):SetMagnitude(ToMOSprite(self):GetSpriteWidth() * 0.5 - 1);
				self.target = ToMOSRotating(MovableMan:GetMOFromID(checkPix));
				self.stickPosition = SceneMan:ShortestDistance(self.target.Pos, checkPos, SceneMan.SceneWrapsX);
				self.stickRotation = self.target.RotAngle;
				self.stickDirection = self.RotAngle;

				self.stuck = true;
				rayHit = true;
				break;
			end
		end
		if rayHit then
			self.actionPhase = 1;
		elseif SceneMan:CastStrengthRay(self.Pos, checkVec, 0, rayHitPos, 1, rte.airID, SceneMan.SceneWrapsX) then
			self.Pos = rayHitPos + SceneMan:ShortestDistance(rayHitPos, self.Pos, SceneMan.SceneWrapsX):SetMagnitude(ToMOSprite(self):GetSpriteWidth() * 0.5 - 1);
			self.PinStrength = 1000;
			self.AngularVel = 0;
			self.stuck = true;
			self.actionPhase = 2;

		end
	else
		self.Vel = Vector();
		self.AngularVel = 0;
		if self.actionPhase == 1 then
			if self.target and self.target.ID ~= rte.NoMOID and not self.target.ToDelete then
				self.Pos = self.target.Pos + Vector(self.stickPosition.X, self.stickPosition.Y):RadRotate(self.target.RotAngle - self.stickRotation);
				self.RotAngle = self.stickDirection + (self.target.RotAngle - self.stickRotation);
				self.PinStrength = 1000;
				self.Vel = Vector();
			else
				self.PinStrength = 0;
				self.actionPhase = 0;
			end
		end
	end
end