function Create(self)

	self.animType = {}

	local i;

	---------- Normal Idle ----------------
	self.normalStance = Vector(3,5)
	self.normalSupport = Vector(5,3)
	self.normalAngle = 0.45
	
	---------- Aiming Idle ----------------
	self.aimingStance = Vector(3,5)
	self.aimingSupport = Vector(5,3)
	self.aimingAngle = 0

	--------------------------------------------
	------------- Normal/Idle Rotation --------------

	local normal
	i = 0

	normal = {}

	i = i + 1
	normal[i] = {}
	normal[i].stance = self.normalStance
	normal[i].support = self.normalSupport

	normal[i].angle = self.normalAngle
	normal[i].angleSpeed = 2
	
	normal[i].switchMode = true;

	normal[i].duration = 165
	
	self.animType[1] = normal

	----------------------------------------------------------------------
	-------------------- Switch to Normal mode ---------------------------

	local aiming
	i = 0

	aiming = {}

	------------- Rotate to aim -------------

	i = i + 1
	aiming[i] = {}
	aiming[i].stance = self.aimingStance
	aiming[i].support = self.aimingSupport

	aiming[i].angle = self.aimingAngle
	aiming[i].angleSpeed = 2

	aiming[i].switchMode = false;				--Actual bayonet mode

	aiming[i].duration = 300
	
	------------- Enable shooting -------------

	i = i + 1
	aiming[i] = {}
	aiming[i].stance = self.aimingStance
	aiming[i].support = self.aimingSupport

	aiming[i].angle = self.aimingAngle
	aiming[i].angleSpeed = 2
	
	aiming[i].switchMode = true;

	aiming[i].duration = 10


	self.animType[2] = aiming

	----------------- Other Values ---------------

	self.Frame = 1;

	self.whatStage = 0
	self.whatAnimType = 0

	self.animationTimer = Timer();
	self.isAnimating = false
	self.isAnimatingSet = false;

	self.angleNum = 0
	self.origAngleNum = self.normalAngle
	
	self.angleBipodNum = 0
	self.angleBipod = 1.2
	
	self.modifiedAngle = self.normalAngle
	self.modifiedSpeed = self.normalSpeed
	
	self.canFire = false;
	self.switchMode = false

	self.rotatingBipod = false;
	self.hasTerrain = false;
	self.noTerrainShake = 7.5;
	self.hasTerrainShake = 2;

	self.parent = nil

	for attachable in self.Attachables do
		if attachable.PresetName == "Loyalist Great Machinegun Bipod" then
			self.bipod = attachable;
		end
	end

	self.isDeployed = false;
	self.isMoving = false;
	self.isAiming = false;
	self.isActivated = false;

end

function Update(self)

	if self:IsAttached() == true then 		--I think this is more performance friendly as it doesn't check the parent every frame, rather just when the gun is first taken.
		if self.parent == nil then
			if IsAHuman(self:GetRootParent()) then
				self.parent = ToAHuman(self:GetRootParent())
			end
		end
	else
		self.parent = nil;
	end
	
	if self.canFire == false then
		self:Deactivate()
	end
	
--	print(self.SharpShakeRange)
	
	if self.hasTerrain == true then
		self.SharpShakeRange = self.hasTerrainShake
	else
		self.SharpShakeRange = self.noTerrainShake
	end

	if self.parent then 

		if self.origAngleNum > self.modifiedAngle then
			if self.angleNum > self.modifiedAngle then
				self.angleNum = self.angleNum -1*0.01*self.modifiedSpeed;
			else
				self.angleNum = self.modifiedAngle
			end
		elseif self.origAngleNum < self.modifiedAngle then
			if self.angleNum < self.modifiedAngle then
				self.angleNum = self.angleNum +1*0.01*self.modifiedSpeed;
			else
				self.angleNum = self.modifiedAngle
			end
		else
			self.angleNum = self.modifiedAngle
		end

		self.RotAngle = self.RotAngle+self.FlipFactor*self.angleNum

		if self.rotatingBipod == true then			--Yo we reloading, better grab my weapon better
			if self.angleBipodNum < self.angleBipod then
				self.angleBipodNum = self.angleBipodNum +1*0.03;
			elseif self.angleBipodNum > self.angleBipod then
				self.angleBipodNum = self.angleBipod;
			end
		elseif	self.rotatingBipod == false then		--Let's get back into it
			if self.angleBipodNum > 0 then
				self.angleBipodNum = self.angleBipodNum -1*0.03;
			elseif self.angleBipodNum < 0 then
				self.angleBipodNum = 0;
			end
		end

		self.bipod.RotAngle = self.RotAngle-self.FlipFactor*self.angleBipodNum;		--The numbers above affect the rotation operation here

		--------------------------------------------------------------------------

		self.isAiming = self.parent:GetController():IsState(Controller.AIM_SHARP);
		self.isMoving = self.parent:GetController():IsState(Controller.MOVE_LEFT) or self.parent:GetController():IsState(Controller.MOVE_RIGHT);
		self.isProne = self.parent:GetController():IsState(Controller.MOVE_DOWN)
		self.isActivated = self.parent:GetController():IsState(Controller.WEAPON_FIRE);

		if self.isDeployed == false then
			self.rotatingBipod = false
			
			if (self.isActivated or self.isAiming) and not ((self.isMoving and not self.isProne) or self:IsReloading()) then
				self.isAnimatingSet = true
				self.whatAnimType = 2
				self.isDeployed = true
			end
		else
			self.rotatingBipod = true
			
			local bipodPos = self.bipod.Pos
			local bipodCheck1 = Vector((15*self.FlipFactor), -2):RadRotate(self.bipod.RotAngle)
			local bipodCheck2 = Vector((15*self.FlipFactor), 4):RadRotate(self.bipod.RotAngle)
			
--			PrimitiveMan:DrawLinePrimitive(self.Team, bipodPos, bipodPos + bipodCheck1, 13);
--			PrimitiveMan:DrawLinePrimitive(self.Team, bipodPos, bipodPos + bipodCheck2, 106);
			
			local bipodTerrainCheck1 = SceneMan:CastStrengthRay(bipodPos, bipodCheck1, 5, Vector(), 1, rte.grassID, true);
			local bipodTerrainCheck2 = SceneMan:CastStrengthRay(bipodPos, bipodCheck2, 5, Vector(), 1, rte.grassID, true);
			
			if bipodTerrainCheck1 or bipodTerrainCheck2 then
				self.hasTerrain = true;
			else
				self.hasTerrain = false;
			end
			
			if self.isMoving and not self.isProne then
				self.isAnimatingSet = true
				self.whatAnimType = 1
				self.isDeployed = false
			end
		end

		if self.isAnimatingSet == true then
			self.isAnimating = true;
			self.whatStage = 1
			self.animationTimer:Reset()			
			self.isAnimatingSet = false

			self.switchMode = true;
		end
		
		if self.isAnimating == true then

			local attackStages = self.animType[self.whatAnimType]
			local currentStage = attackStages[self.whatStage]

			self.StanceOffset = currentStage.stance
			self.SupportOffset = currentStage.support
			self.modifiedAngle = currentStage.angle
			self.modifiedSpeed = currentStage.angleSpeed
			
			if self.switchMode == true and currentStage.switchMode == true then							--If we aint moving the bayonet, simply check if we are changing modes directly
			
				if self.isDeployed == true then
					self.canFire = true
				else
					self.canFire = false
				end
				
				self.switchMode = false
			end

			if self.animationTimer:IsPastSimMS(currentStage.duration) then
				self.switchMode = true;
				
				self.origAngleNum = self.angleNum
				
				self.animationTimer:Reset();
				
				if self.whatStage < #attackStages then
					self.whatStage = self.whatStage + 1
				else
					self.isAnimating = false
				end
			end
		end
	end
end