function Create(self)

	self.Frame = self.FrameCount - 1;

	self.attackType = {}

	local attackStage
	local i;

	attackStage = {}

	---------- Idle ----------------
	self.normalStance = Vector(3,5)
	self.normalAngle = 0.8
	self.normalSpeed = 12

	------------- Preparing Attack -------------
	i = 1
	attackStage[i] = {}
	attackStage[i].stance = Vector(3,-4)
	attackStage[i].angle = 2.6
	attackStage[i].angleSpeed = 10

	attackStage[i].canAttack = false

	attackStage[i].duration = 320
	
	-------------- Launching Attack ---------------
	---Early attack
	i = 2
	attackStage[i] = {}
	attackStage[i].stance = Vector(10,-3)
	attackStage[i].angle = 1
	attackStage[i].angleSpeed = 17
	
	attackStage[i].canAttack = false

	attackStage[i].duration = 110

	---Mid attack
	i = 3
	attackStage[i] = {}
	attackStage[i].stance = Vector(13,2)
	attackStage[i].angle = 0
	attackStage[i].angleSpeed = 17
	
	attackStage[i].canAttack = true

	attackStage[i].duration = 125

	---Late attack
	i = 4
	attackStage[i] = {}
	attackStage[i].stance = Vector(11,7)
	attackStage[i].angle = -0.75
	attackStage[i].angleSpeed = 17
	
	attackStage[i].canAttack = false

	attackStage[i].duration = 100

	----------------- Recovery ----------------
	i = 5
	attackStage[i] = {}
	attackStage[i].stance = Vector(8,4)
	attackStage[i].angle = 0.25
	attackStage[i].angleSpeed = 10
	
	attackStage[i].canAttack = false

	attackStage[i].duration = 150

	---------------- Normal again -------------
	i = 6
	attackStage[i] = {}
	attackStage[i].stance = self.normalStance
	attackStage[i].angle = self.normalAngle
	attackStage[i].angleSpeed = self.normalSpeed
	
	attackStage[i].canAttack = false

	attackStage[i].duration = 125

	self.attackType[1] = attackStage

	----------------- Other Values ---------------

	self.whatStage = 0

	self.animationTimer = Timer();
	self.isAttacking = false

	self.angleNum = 0
	self.origAngleNum = self.normalAngle
	
	self.modifiedAngle = self.normalAngle
	self.modifiedSpeed = self.normalSpeed
	
	self.attackInterval = 0
	self.attackCount = 0
	self.spawnAttack = true
	self.canAttack = false;

	self.parent = nil

	for attachable in self.Attachables do
		if attachable.PresetName == "Loyalist Shovel Sprite" then
			self.weapon = attachable;
		end
	end

	self.weapon.Frame = math.random(0, self.FrameCount - 2)
	self.origFrame = self.weapon.Frame

end

function Update(self)

	if self:IsAttached() == true then 		--I think this is more performance friendly as it doesn't check the parent every frame, rather just when the gun is first taken.
		self.Frame = self.FrameCount - 1;
		self.weapon.Frame = self.origFrame
		if self.parent == nil then
			if IsAHuman(self:GetRootParent()) then
				self.parent = ToAHuman(self:GetRootParent())
			end
		end
	else
		self.parent = nil;
		self.Frame = self.origFrame
		self.weapon.Frame = self.FrameCount - 1
	end

	if (self.weapon and self.weapon:IsAttached()) then
		if self.parent then 

			if self.origAngleNum > self.modifiedAngle then
				if self.angleNum > self.modifiedAngle then
					self.angleNum = self.angleNum -1*0.01*self.modifiedSpeed;
				else
					self.angleNum = self.modifiedAngle
				end
			elseif self.origAngleNum < self.modifiedAngle then
				if self.angleNum < self.modifiedAngle then
					self.angleNum = self.angleNum +1*0.01*self.modifiedSpeed;
				else
					self.angleNum = self.modifiedAngle
				end
			else
				self.angleNum = self.modifiedAngle
			end

			self.weapon.RotAngle = self.RotAngle+self.FlipFactor*self.angleNum

			self.parent:GetController():SetState(Controller.AIM_SHARP,false);

			if self:IsActivated() and self.isAttacking == false then
				self.isAttacking = true
				self.animationTimer:Reset()
				self.whatStage = 1
				self.spawnAttack = true
			end
			
			if self.isAttacking == true then

				local attackStages = self.attackType[1]
				local currentStage = attackStages[self.whatStage]
				local currentStageAttack = attackStages[self.whatStage]

				self.StanceOffset = currentStage.stance	
				self.modifiedAngle = currentStage.angle
				self.modifiedSpeed = currentStage.angleSpeed
				self.attackInterval = currentStage.attackInterval

				self.canAttack = currentStage.canAttack
				
				if self.spawnAttack == true and self.canAttack == true then

					local weaponPos = self.weapon.Pos + Vector((11*self.FlipFactor), 4):RadRotate(self.weapon.RotAngle)
					local weaponCheck = Vector((17*self.FlipFactor), 4):RadRotate(self.weapon.RotAngle)
							
--					PrimitiveMan:DrawLinePrimitive(self.Team, weaponPos, self.weapon.Pos + weaponCheck, 13);
			
					local moCheck = SceneMan:CastMORay(weaponPos, weaponCheck, rte.NoMOID, self.Team, rte.airID, true, 1);
					if moCheck and moCheck ~= rte.NoMOID then
						local mo = MovableMan:GetMOFromID(moCheck);
--						AudioMan:PlaySound("Ronin.rte/Devices/Tools/Shovel/Sounds/Melee".. math.random(3) ..".flac", self.MuzzlePos);

						for i = 0, 3 do
							local part = CreateMOPixel("Shovel Strike", "Loyalists.rte");
							part.Pos = self.weapon.Pos + Vector(((11+i*2)*self.FlipFactor), 4):RadRotate(self.weapon.RotAngle)
							part.Vel = self.weapon.Vel + Vector(0, 10):RadRotate(self.weapon.RotAngle)
							part.Team = self.parent.Team;	part.IgnoresTeamHits = true;
							MovableMan:AddParticle(part);
						end

						if IsActor(mo:GetRootParent()) then
							local actor = ToActor(mo:GetRootParent());
	--[[
							local damage = math.random(10,25)		--Make it class dependant
							actor.Health = actor.Health - damage
						
							local disarm = math.random()			--Same as above
							if disarm > 0.85 then
								actor:GetController():SetState(Controller.WEAPON_DROP,true)
							end
	--]]
						end
						self.spawnAttack = false;
					end
				end

				if self.animationTimer:IsPastSimMS(currentStage.duration) then
					self.spawnAttack = true
					
					self.origAngleNum = self.angleNum
					
					self.animationTimer:Reset();
					
					if self.whatStage < #attackStages then
						self.whatStage = self.whatStage + 1
					else
						self.isAttacking = false
					end
				end
			end
		end
	else
		self:GibThis()
	end
end