function Create(self)

	self.orgStance = Vector(3,5)--self.StanceOffset
	self.backStance = Vector(-2,6)
	self.stabStance = Vector(8,3)
	
	self.attachBayonetTimer = Timer()
	self.attachBayonetSet = false
	self.attachBayonetDelay = 250
	self.switchBayonet = true
	
	self.angleNum = 0
	self.angleSize = 0.45
	
	self.stabTimer = Timer()
	self.stabSet = false
	self.backDelay = 100
	self.stabDelay = self.backDelay + 400
	self.stabParticlesDelay = self.stabDelay + 80
	self.orgDelay = self.stabDelay + 350
	
	self.spawnParticles = false

	self.parent = nil

	for attachable in self.Attachables do
		if attachable.PresetName == "Loyalist Bayonet" then
			self.bayonet = attachable;
		end
	end

	if math.random() < 0.35 then 
		self.hasBayonet = true
		self.bayonet.Frame = 1
	else
		self.hasBayonet = false
		self.bayonet.Frame = 0
	end

end

function Update(self)

	if self:IsAttached() == true then 		--I think this is more performance friendly as it doesn't check the parent every frame, rather just when the gun is first taken.
		if self.parent == nil then
			if IsAHuman(self:GetRootParent()) then
				self.parent = ToAHuman(self:GetRootParent())
			end
		end
	else
		self.parent = nil;
	end

	self.bayonet.RotAngle = self.RotAngle

	if self.parent then
	
		if self.parent:IsPlayerControlled() and UInputMan:KeyPressed(2) and self.attachBayonetSet == false
		and self.parent.Status == Actor.STABLE and self.parent.BGArm then
			self.attachBayonetTimer:Reset()
			self.attachBayonetSet = true
			self.switchBayonet = true
		end

		if self.attachBayonetSet == true then
			if self.attachBayonetTimer:IsPastSimMS(self.attachBayonetDelay) then
				if self.switchBayonet == true then
					if self.hasBayonet == false then
						self.hasBayonet = true
						self.bayonet.Frame = 1
					else
						self.hasBayonet = false
						self.bayonet.Frame = 0
					end
					
					self.switchBayonet = false
				end
								
				if self.angleNum > 0 then
					self.angleNum = self.angleNum -1/self.Mass;
				elseif self.angleNum < 0 then
					self.angleNum = 0;
					self.attachBayonetSet = false
				end
			else			
				if self.angleNum < 1 then
					self.angleNum = self.angleNum +1/self.Mass;
				elseif self.angleNum > 1 then
					self.angleNum = 1;
				end
			end
			self.RotAngle = self.RotAngle+self.FlipFactor*self.angleNum*self.angleSize;		--The numbers above affect the rotation operation here
			self.bayonet.RotAngle = self.bayonet.RotAngle+self.FlipFactor*self.angleNum*self.angleSize;
		else
			self.angleNum = 0;
		end

		if self.hasBayonet == true then	
			if self.parent:IsPlayerControlled() and UInputMan:KeyPressed(22) and self.stabSet == false
			and self.parent.Status == Actor.STABLE and self.parent.BGArm then
				self.stabTimer:Reset()
				self.stabSet = true
				self.spawnParticles = true
			end
		end

		if self:IsReloading() then
			self.stabSet = false
			self.spawnParticles = false
			self.attachBayonetSet = false
			self.switchBayonet = false
		end
			
		if self.stabSet == true then
			self.parent:GetController():SetState(Controller.AIM_SHARP,false);

			if self.stabTimer:IsPastSimMS(self.orgDelay) then
				self.StanceOffset = self.orgStance
				self.stabSet = false
			elseif self.stabTimer:IsPastSimMS(self.stabDelay) then
				self.StanceOffset = self.stabStance
				
				local aimAngle = self.parent:GetAimAngle(false)
				self.parent.AngularVel = self.parent.AngularVel/3 - (math.abs(-1.2 + aimAngle*0.9)*self.FlipFactor)
			
				if self.spawnParticles == true and self.stabTimer:IsPastSimMS(self.stabParticlesDelay) then

					for i = 1, 4 do
						local part = CreateMOPixel("Bayonet Strike", "Loyalists.rte");
						part.Pos = self.Pos + Vector((20+i*2)*self.FlipFactor,1):RadRotate(self.RotAngle)
						part.Vel = self.Vel + Vector(20*self.FlipFactor,0):RadRotate(self.RotAngle)
						part.Team = self.parent.Team;	part.IgnoresTeamHits = true;
						MovableMan:AddParticle(part);
					end
					self.spawnParticles = false
				end
				
			elseif self.stabTimer:IsPastSimMS(self.backDelay) then
				self.StanceOffset = self.backStance
			end
		end
	end
end