function Create(self)

	self.decreaseExplodeTimer = Timer()
	self.decreaseExplodeDelay = self:NumberValueExists("Custom Decrease") and self:GetNumberValue("Custom Decrease") or 500
	
	self.safeProbability = self:NumberValueExists("Safe Probability") and self:GetNumberValue("Safe Probability") or 20
	self.maxProbability = self:NumberValueExists("Max Probability") and self:GetNumberValue("Max Probability") + self.safeProbability or 200 + self.safeProbability
	self.probability = math.random(self.safeProbability, self.maxProbability)
	self.chance = 0
	
	self.smokeChance = 0.35/(self.safeProbability)
	
	self.explosionsCount = self:NumberValueExists("Explosions Count") and self:GetNumberValue("Explosions Count") or 3
	
	if self.PresetName == "Storm Pistol" then
		self.baseXPos = 0
		self.baseYPos = 0
	elseif self.PresetName == "Storm Rifle" then
		self.baseXPos = 6
		self.baseYPos = -1
	elseif self.PresetName == "Storm MG" then
		self.baseXPos = 5
		self.baseYPos = 0
	end
	
end

function Update(self)

	if self.chance <= self.safeProbability then
		self.smokeChance = (0.5/(self.safeProbability))*self.chance
	end

	if math.random() <= self.smokeChance then
		local smokeEffect = CreateMOSParticle("Tiny Smoke Ball 1");
		smokeEffect.Pos = self.Pos + Vector(self.baseXPos*self.FlipFactor,self.baseYPos) + Vector((math.random(-6,6))*self.FlipFactor ,0):RadRotate(self.RotAngle);
		smokeEffect.Vel = self.Vel + Vector((math.random(-2,1)*self.FlipFactor), -1):RadRotate(self.RotAngle)
		MovableMan:AddParticle(smokeEffect);
	end

	if self.chance >= (self.safeProbability - 3) then	
		if math.random() <= (self.smokeChance*0.5) then
			local smokeEffect = CreateMOSParticle("Small Smoke Ball 1");
			smokeEffect.Pos = self.Pos + Vector(self.baseXPos*self.FlipFactor,self.baseYPos) + Vector((math.random(-6,6))*self.FlipFactor ,0):RadRotate(self.RotAngle);
			smokeEffect.Vel = self.Vel + Vector((math.random(-2,1)*self.FlipFactor), -1):RadRotate(self.RotAngle)
			MovableMan:AddParticle(smokeEffect);
		end
	end

	if self.FiredFrame then
		self.decreaseExplodeTimer:Reset()
	
		self.chance = self.chance + 1

		if self.chance >= self.probability then

			for i = 1, self.explosionsCount do
				local electricImplosion = CreateAEmitter("Loyalist Storm Shot")
				electricImplosion.Pos = self.Pos + Vector(self.baseXPos*self.FlipFactor,self.baseYPos) + Vector(math.random(-6,6),math.random(-2,2))
				MovableMan:AddParticle(electricImplosion)
				electricImplosion:GibThis();
			end
		else
			self.probability = math.random(self.safeProbability, self.maxProbability)
		end
	else
		if self.decreaseExplodeTimer:IsPastSimMS(self.decreaseExplodeDelay) then
			self.decreaseExplodeTimer:Reset()
			if self.chance > 0 then
				self.chance = self.chance - 1
			end
		end
	end
end