-- Unique Faction ID
local factionid = "Loyalists";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "Loyalists";
-- Faction description
CF_FactionDescriptions[factionid] = "The planetary militias and resistance of the astral body sieged by TradeStar. They may be poorly equipped and trained but they will fight to the last man. As a result of the siege, they are radically anti-cortex control of vat grown bodies. They also strongly dislike anything that is not human. Or that is not them, actually."
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;

-- Modules needed for this faction
CF_RequiredModules[factionid] = {"Base.rte", "Loyalists.rte"}

-- Set faction nature
-- Available values ORGANIC, SYNTHETIC
CF_FactionNatures[factionid] = CF_FactionTypes.ORGANIC;--


-- Define faction bonuses, in percents
-- Scan price reduction
CF_ScanBonuses[factionid] = -10
-- Relation points increase
CF_RelationsBonuses[factionid] = -25
-- Hew HQ build price reduction
CF_ExpansionBonuses[factionid] = 10

-- Gold per turn increase
CF_MineBonuses[factionid] = 0
-- Science per turn increase
CF_LabBonuses[factionid] = -20
-- Delivery time reduction
CF_AirfieldBonuses[factionid] = -20
-- Superweapon targeting reduction
CF_SuperWeaponBonuses[factionid] = -20
-- Unit price reduction
CF_FactoryBonuses[factionid] = 20
-- Body price reduction
CF_CloneBonuses[factionid] = 20
-- HP regeneration increase
CF_HospitalBonuses[factionid] = 0
-- Hack time decrease
CF_HackTimeBonuses[factionid] = -35
-- Hack reward increase
CF_HackRewardBonuses[factionid] = 25

-- Percentage of troops sent to brainhunt or attack player LZ when AI is defending (default - CF_DefaultBrainHuntRatio)
-- If this value is less then default then faction is marked as Defensive if it's more, then as Offensive
CF_BrainHuntRatios[factionid] = 25

-- Prefered brain inventory items. Brain gets the best available items of the classes specified in list for free.
-- Default - {CF_WeaponTypes.DIGGER, CF_WeaponTypes.RIFLE}
CF_PreferedBrainInventory[factionid] = {CF_WeaponTypes.SHIELD, CF_WeaponTypes.PISTOL,CF_WeaponTypes.DIGGER}

-- Define brain unit
CF_Brains[factionid] = "Loyal General";
CF_BrainModules[factionid] = "Loyalists.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 200;

-- Define dropship	
CF_Crafts[factionid] = "Loyalists Air Balloon";
CF_CraftModules[factionid] = "Loyalists.rte";
CF_CraftClasses[factionid] = "ACDropShip";
CF_CraftPrices[factionid] = 110;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "unmappedlands2.rte/SuperWeapons/Thudd Mortars.lua"

-- Define prefered presets to choose from when deploying troops in tactical mode
CF_PreferedTacticalPresets[factionid] = {
		CF_PresetTypes.INFANTRY1,
		CF_PresetTypes.INFANTRY1,
		CF_PresetTypes.INFANTRY2,
		CF_PresetTypes.INFANTRY2,
		CF_PresetTypes.SNIPER,
		CF_PresetTypes.SNIPER, 
		CF_PresetTypes.SNIPER, 
		CF_PresetTypes.SHOTGUN,
		CF_PresetTypes.HEAVY1,
		CF_PresetTypes.HEAVY2,
		CF_PresetTypes.ARMOR1,
		CF_PresetTypes.ARMOR2,
		CF_PresetTypes.ENGINEER
	}


-- Define default tactical AI model
-- The Loyalist most of the time don't even know what they are doing, buuut they do try to stick together
--
CF_FactionAIModels[factionid] = "SQUAD"

-- Define research queue. This queue controls how AI will research available tech
-- Weapon, item and actor ID's:
-- PS - pistol
-- RF - rifle
-- SH - shotgun
-- SN - sniper
-- HV - heavy
-- SD - shield
-- DG - digger
-- GR - grenade
-- LA - light actor
-- HA - heavy actor
-- AA - armoured actor
-- TA - turret actor
-- Syntax is simple, for example:
-- PS1-RF2+ = try to research any pistol with power level 1 if it's not available then try to research 
-- any rifle with power level 2 or higher. When ai finishes queue it starts from the begining. You can
-- leave queue unspecified in this case UL2 will use it's default queue.
CF_ResearchQueues[factionid] = "RF1+PS1+SH1+HV1+LA1+RF1+SN1+SH1+GR1+HV1+HA1+HV1+LA1+RF1+HV1+PS1+HV1+AA1";

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {} -- AI will select different weapons based on this value
CF_ActPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use
CF_ActOffsets[factionid] = {}

-- Available actor types
-- LIGHT, HEAVY, ARMOR, TURRET

local i = 0
i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Loyalist"
CF_ActPresets[factionid][i] = "Loyalist"
CF_ActModules[factionid][i] = "Loyalists.rte"
CF_ActPrices[factionid][i] = 20
CF_ActDescriptions[factionid][i] = "A rag-tag soldier with little to no training or experience. Can barely fight properly and wears a glorified backpack with a rocket nozzle that could explode in his back at any time. Very cheap. Starting with no morale, it receives it from: flags (1 form seeing them, 1 from carrying them), Officers, Commisssars(2) and Tanks(2)"
CF_ActUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 1

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Fanatic"
CF_ActPresets[factionid][i] = "Fanatic"
CF_ActModules[factionid][i] = "Loyalists.rte"
CF_ActPrices[factionid][i] = 35
CF_ActDescriptions[factionid][i] = "Loyalist who have taken up some steel armour pieces and strapped them onto their chest in an attempt to survive more Bncounters. Their legs are completley unprotected, as so are their arms and back. Starting with no morale, it receives it from: flags (1 form seeing them, 1 from carrying them), Officers, Commisssars(2) and Tanks(2)"
CF_ActUnlockData[factionid][i] = 250
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 3

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Loyal Officer"
CF_ActPresets[factionid][i] = "Loyal Officer"
CF_ActModules[factionid][i] = "Loyalists.rte"
CF_ActPrices[factionid][i] = 40
CF_ActDescriptions[factionid][i] = "A loyalist officer, proper fighter and natural squad leader. His presence in the battlefield inspires nearby loyalist to fight harder, and his 'jetpack' is just a bit in better condition. Starting with 2 badges of morale, it receives more from: flags (1 form seeing them, 1 from carrying them), Commisssars(2) and Tanks(2)."
CF_ActUnlockData[factionid][i] = 300
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 4

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Zealot"
CF_ActPresets[factionid][i] = "Zealot"
CF_ActModules[factionid][i] = "Loyalists.rte"
CF_ActPrices[factionid][i] = 50
CF_ActDescriptions[factionid][i] = "These troopers are covered in heavy steel plate armour as an effort to make them more durable. Their back is still, however, entirely unprotected. They are much more resistant to enemy fire but also considerably heavier. Starting with 1 badge of morale due to armor, it receives morale from: flags (1 form seeing them, 1 from carrying them), Officers, Commisssars(2) and Tanks(2)"
CF_ActUnlockData[factionid][i] = 600
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 6

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Loyal Commissar"
CF_ActPresets[factionid][i] = "Loyal Commissar"
CF_ActModules[factionid][i] = "Loyalists.rte"
CF_ActPrices[factionid][i] = 60
CF_ActDescriptions[factionid][i] = "Ruthless and loyal commissar of the loyalist forces. Boosts troop morale with a fancy hat, a well combed moustache, and by killing any cowards in the field. Starting with 5 badges of morale, it receives more from: flags (1 form seeing them, 1 from carrying them) and Tanks(2)"
CF_ActUnlockData[factionid][i] = 750
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Loyalist Tank"
CF_ActPresets[factionid][i] = "Loyalist Tank"
CF_ActModules[factionid][i] = "Loyalists.rte"
CF_ActPrices[factionid][i] = 300
CF_ActDescriptions[factionid][i] = "A rusty old tank isused by the loyalist militias that is still capable of instilling mild fear onto its adversaries. It is outfitted with a powerful main cannon and crew-operated front machinegun. Beware of the lack of plating on the rear engine! "
CF_ActUnlockData[factionid][i] = 1200
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 8

-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use

-- Available weapon types
-- PISTOL, RIFLE, SHOTGUN, SNIPER, HEAVY, SHIELD, DIGGER, GRENADE

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Digger"
CF_ItmPresets[factionid][i] = "Light Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the digger family. Cheapest of them all and works as a nice melee weapon on soft targets."
CF_ItmUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Digger"
CF_ItmPresets[factionid][i] = "Medium Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Stronger digger. This one can pierce rocks with some effort and dig impressive tunnels and its melee weapon capabilities are much greater."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Digger"
CF_ItmPresets[factionid][i] = "Heavy Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Heaviest and the most powerful of them all. Eats concrete with great hunger and allows you to make complex mining caves incredibly fast. Shreds anyone unfortunate who stand in its way."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Trench Shovel"
CF_ItmPresets[factionid][i] = "Trench Shovel"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "The Loyalists' #1 trench-maker. It's not like they have any other tools really."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Dirt Sprayer"
CF_ItmPresets[factionid][i] = "Dirt Sprayer"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "Home-made dirt sprayer used cover holes and create bridges for the Loyalists to pass through without having to rely on their faulty \"jetpacks\" that much."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Loyalist Flag"
CF_ItmPresets[factionid][i] = "Loyalist Flag"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "A flag bearing the symbol used by the earth loyalist forces. No known practical use."
CF_ItmUnlockData[factionid][i] = 50
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Rusty Shield"
CF_ItmPresets[factionid][i] = "Rusty Shield"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Small and thin steel sheet crudely made by the Loyalists to serve as a shield of sorts. Might stop some low-caliber rounds, but don't bother with anything superior."
CF_ItmUnlockData[factionid][i] = 100
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Scanner"
CF_ItmPresets[factionid][i] = "Light Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the scanner family. Cheapest of them all and can only scan a small area."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Scanner"
CF_ItmPresets[factionid][i] = "Medium Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Medium scanner. This scanner is stronger and can reveal a larger area."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Scanner"
CF_ItmPresets[factionid][i] = "Heavy Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Strongest scanner out of the three. Can reveal a large area."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Periscope"
CF_ItmPresets[factionid][i] = "Periscope"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Trench periscope with cracked lenses used to see the enemy without risk of losing your head."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0 --Handled by the AI Too

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Bandages"
CF_ItmPresets[factionid][i] = "Bandages"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Old bandages in a mild state of deterioration. Might stop the bleeding of one or two wounds."
CF_ItmUnlockData[factionid][i] = 100
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0 --Handled by the AI Too

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Flare Gun"
CF_ItmPresets[factionid][i] = "Flare Gun"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "A flare gun with some horrific manufacture problems, used by officers and comissars to rally the loyalists, improve morale and start suicidal charges. Sadly, the bad manufacture often results in the gun breaking after one or two shots."
CF_ItmUnlockData[factionid][i] = 300
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0 --Handled by the AI Too

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Knife"
CF_ItmPresets[factionid][i] = "Knife"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 1
CF_ItmDescriptions[factionid][i] = "Glorified butter knife some Loayalists carry in the unlikely event they might stab someone with it"
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Club"
CF_ItmPresets[factionid][i] = "Club"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 2
CF_ItmDescriptions[factionid][i] = "Rusty steel ball at the end of a stick. Guranteed to crack some heads open"
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Spiked Club"
CF_ItmPresets[factionid][i] = "Spiked Club"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 3
CF_ItmDescriptions[factionid][i] = "A badly chopped log, a crude steel handle and some rusty nails on each side. The perfect weapon for the trench enthusiast"
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Spade"
CF_ItmPresets[factionid][i] = "Spade"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 4
CF_ItmDescriptions[factionid][i] = "Cutted down shovel that has been somewhat sharpened to the point that it could hurt someone if you really put your soul into it"
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Hatchet"
CF_ItmPresets[factionid][i] = "Hatchet"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Way too heavy and a bit dull, this hatchet is both useful as a barbed-wire remover and as a neck chopper if you have what it takes to carry it into battle "
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "PickAxe"
CF_ItmPresets[factionid][i] = "PickAxe"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 8
CF_ItmDescriptions[factionid][i] = "Rusty and old, this pickaxe's days of creating trenches are over. Now it's only use it's to detach limbs from enemies"
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Flintlock Pistol"
CF_ItmPresets[factionid][i] = "Flintlock Pistol"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "An old Pistol that predates the invention of electricity. Packs quite the punch, but the lack of rifling means the bullet will most likely not go into the enemy. Needless to say, it is not the most effective weapon on the market."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Obrez"
CF_ItmPresets[factionid][i] = "Obrez"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "A cut down version of the loyalist rifle. Only truly effective in close quarters, forget about damaging anything beyond that."
CF_ItmUnlockData[factionid][i] = 50
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Wobbly Revolver"
CF_ItmPresets[factionid][i] = "Wobbly Revolver"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "A revolver in an alarming state of decay. Packs very little punch and only holds six bullets, but can still be useful as a sidearm."
CF_ItmUnlockData[factionid][i] = 100
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Sawed Shotgun"
CF_ItmPresets[factionid][i] = "Sawed Shotgun"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Low range and high spread, this crappy double barrel shotgun can only shine when fired up-close. Of course, you'll have to get close for that."
CF_ItmUnlockData[factionid][i] = 220
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Storm Pistol"
CF_ItmPresets[factionid][i] = "Storm Pistol"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 65
CF_ItmDescriptions[factionid][i] = "A revolver in an alarming state of decay. Packs very little punch and only holds six bullets, but can still be useful as a sidearm."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Flintlock Rifle"
CF_ItmPresets[factionid][i] = "Flintlock Rifle"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "An old rifle that predates the invention of electricity. Packs quite the punch, but the lack of rifling means the bullet will most likely not go into the enemy. Needless to say, it is not the most effective weapon on the market."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Loyalist Rifle"
CF_ItmPresets[factionid][i] = "Loyalist Rifle"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "A bland bolt action rifle of cheap manufacture. It is heavy as a brick and extremely slow to cycle and reload, but nevertheless unbelievably reliable. B to attach/detach bayonet, V to switch firing/bayonet mode. Having a bayonet increases overall gun weight, but makes switching modes faster."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Trench Rifle"
CF_ItmPresets[factionid][i] = "Trench Rifle"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "A semi automatic rifle in the same caliber as the militia rifle. Packs extra firepower, but slower to reload. B to attach/detach bayonet, V to switch firing/bayonet mode. Having a bayonet increases overall gun weight, but makes switching modes faster."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Storm Rifle"
CF_ItmPresets[factionid][i] = "Storm Rifle"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "A highly technological rifle that harnesses the power of thunder to shoot electro-charged bolts. It is experimental and as a result very unstable, often causing impressive eplosive malfunctions that barely ever leave the operator in one piece."
CF_ItmUnlockData[factionid][i] = 850
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Flintlock Shotgun"
CF_ItmPresets[factionid][i] = "Flintlock Shotgun"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 30
CF_ItmDescriptions[factionid][i] = "An old Shotgun that predates the invention of electricity. Contrary to its rifle counterpart, it can deal a lot of damage... provided you are literally in front of the enemy"
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Trench Shotgun"
CF_ItmPresets[factionid][i] = "Trench Shotgun"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 45
CF_ItmDescriptions[factionid][i] = "A pump shotgun cheaply made and in a bad state of repair. Somewhat useful in close quarters, but useless beyond that. B to attach/detach bayonet, V to switch firing/bayonet mode. Having a bayonet increases overall gun weight, but makes switching modes faster."
CF_ItmUnlockData[factionid][i] = 650
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Sharpshooter's Rifle"
CF_ItmPresets[factionid][i] = "Sharpshooter's Rifle"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "This version of the loyalists' rifle sports a sharpshooter's scope in rather poor condition."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Trench MG"
CF_ItmPresets[factionid][i] = "Trench MG"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Low caliber automatic rifle with severe rifling issues. Pretty rapid but don't expect to hit anything not in front of you. B to attach/detach bayonet, V to switch firing/bayonet mode. Having a bayonet increases overall gun weight, but makes switching modes faster."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Auto Battle Rifle"
CF_ItmPresets[factionid][i] = "Auto Battle Rifle"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 65
CF_ItmDescriptions[factionid][i] = "Automatic version of the Battle Rifle with an extended magazine and some serious extra weight. A proper assault rifle and probably one of the very few good weapons the Loyalists posses."
CF_ItmUnlockData[factionid][i] = 750
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy MG"
CF_ItmPresets[factionid][i] = "Heavy MG"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 80
CF_ItmDescriptions[factionid][i] = "Heavy as hell, little punch and hard to reload. One of the few automatic weapons available to the loyalist militias, mainly used to keep enemies away from trenches."
CF_ItmUnlockData[factionid][i] = 900
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Great MMG"
CF_ItmPresets[factionid][i] = "Great MMG"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 80
CF_ItmDescriptions[factionid][i] = "The greatest machinegun of the Loyalists. And by great we mean absudrdly large and heavy. So heavy and with such a recoil that you can't fire it while moving, having to stand still to properly aim it. And even then, unless you have somewhere to place the bipod, forget about hitting anything."
CF_ItmUnlockData[factionid][i] = 1250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Obrez Launcher"
CF_ItmPresets[factionid][i] = "Obrez Launcher"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "A cut down rifle with a grenade crammed down the barrel. Unfortunately, it suffers from the same problems as the regular milita grenades and may or may not explode."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Handcannon"
CF_ItmPresets[factionid][i] = "Handcannon"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "A stunningly primitive but effective weapon. It makes up for a lack of sophistication with extreme, raw kinetic force."
CF_ItmUnlockData[factionid][i] = 750
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Trench Flamethrower"
CF_ItmPresets[factionid][i] = "Trench Flamethrower"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 85
CF_ItmDescriptions[factionid][i] = "A short range flamethrower with a wide spray angle. For some reason, nobody told the engineer that designed it that constructing an incendiary weapon out of wood is probably not the best idea. B to attach/detach bayonet, V to switch firing/bayonet mode. Having a bayonet increases overall gun weight, but makes switching modes faster."
CF_ItmUnlockData[factionid][i] = 850
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Storm MG"
CF_ItmPresets[factionid][i] = "Storm MG"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "A heavy support version of the loyalists' storm rifle and their best gun by far. With a rapid fire rate and high ammo count, your only problem now is making sure it doesn't overheat and explode"
CF_ItmUnlockData[factionid][i] = 1200
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Improvised Grenade"
CF_ItmPresets[factionid][i] = "Improvised Grenade"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Fragmentation grenades issued to the loyalist militias. They suffer from serious manufacture issues and one out of three fails to detonate. They sell rather cheap as a result."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Spike Grenade"
CF_ItmPresets[factionid][i] = "Spike Grenade"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Spiky impact grenades issued to assaulting fanatics. They suffer from the same manufacture issues as other loyalists' exlposives and one out of three fails to detonate. Even though they have a safety pin, it'd be best if you don't drop them."
CF_ItmUnlockData[factionid][i] = 100
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Petrol Grenade"
CF_ItmPresets[factionid][i] = "Petrol Grenade"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 15
CF_ItmDescriptions[factionid][i] = "Whiskey bottle filled with some leftover tank fuel to create a explosive mix. Just make sure not to drop it when you light up the cloth."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Land Mine"
CF_ItmPresets[factionid][i] = "Land Mine"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "A rusty land mine with a mean charge. Will detonate if anyone, friend or foe, presses on it. That being said, the faulty button will most likely create an activation delay long enough for anyone to escape the blast."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Satchel Charge"
CF_ItmPresets[factionid][i] = "Satchel Charge"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 25
CF_ItmDescriptions[factionid][i] = "A couple of dynamite sticks rigged to a very short timer. Usually attached to vehicles or doors for breaching, but also functions as a suicide vest in a pinch."
CF_ItmUnlockData[factionid][i] = 350
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Lunge Mine"
CF_ItmPresets[factionid][i] = "Lunge Mine"
CF_ItmModules[factionid][i] = "Loyalists.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "A big and faulty explosive charge at the end of a not long enough stick. Only the suicidal or easily expendable would use it in battle"
CF_ItmUnlockData[factionid][i] = 100
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 8